TEMPLATE = app
QT += network
QT -= gui
CONFIG += console

INCLUDEPATH += /usr/include/crypto++/
LIBS += -lcryptopp

HEADERS += datehandler.h \
           exception.h \
           gdsclient.h \
           gdsclientauthenticator.h \
           gdsclientconnection.h \
           gdsclientsbase.h \
           gdsclient_agent.h \
           gdsclient_airline.h \
           gdsdatabase_flights.h \
           gdsdatabase_hotels.h \
           gdsdatabase_pnrs.h \
           gdsflight.h \
           gdshotel.h \
           gdspnr.h \
           gdspositions.h \
           gdsserver.h \
           gds_command.h \
           logger.h \
           logstream.h \
           packer_timer.h

SOURCES += datehandler.cpp \
           exception.cpp \
           gdsclient.cpp \
           gdsclientauthenticator.cpp \
           gdsclientconnection.cpp \
           gdsclientsbase.cpp \
           gdsclient_agent.cpp \
           gdsclient_airline.cpp \
           gdsdatabase_flights.cpp \
           gdsdatabase_hotels.cpp \
           gdsdatabase_pnrs.cpp \
           gdsflight.cpp \
           gdshotel.cpp \
           gdspnr.cpp \
           gdspositions.cpp \
           gdsserver.cpp \
           gds_command.cpp \
           logger.cpp \
           logstream.cpp \
           main.cpp \
           packer_timer.cpp

INSTALLS += gds
gds.files = service
gds.path = /home/gds/
