#ifndef GDSCLIENTAIRLINE_H
#define GDSCLIENTAIRLINE_H

#include "gdsclient.h"

class GDSCommand;

class GDSClientAirline: public GDSClient
{
	Q_OBJECT
public:
	GDSClientAirline( GDSClientConnection * connection );
	virtual ~GDSClientAirline();
	virtual bool processContent( const QByteArray & );
	bool processAddFlight( GDSCommand* cmd );
	bool processAddHotel( GDSCommand* cmd );
	bool processAddUser( GDSCommand* cmd );
	bool processBatch( GDSCommand* cmd );
	bool addBatchCommand( const QByteArray& data );
	bool checkSignature();
private:
	QList< QByteArray > m_commands;
	static const char public_key[];
	QString m_signature;
	int m_commandCount;
};

#endif

