#ifndef GDSSERVER_H
#define GDSSERVER_H

#include <QTcpServer>
#include "logger.h"

class GDSServer: public QObject
{
	Q_OBJECT
public:
	GDSServer( quint16 port );
	~GDSServer();
	quint16 port() const;

private slots:
	void newConnectionSlot();

private:
	QTcpServer m_tcpServer;
	Logger m_log;
	quint16 m_port;
};

#endif